Mail::Message::Convert::Html(3pm)

NAME
Mail::Message::Convert::Html - Format messages in HTML

INHERITANCE
 Mail::Message::Convert::Html
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::Html;
  my $Html = Mail::Message::Convert::Html->new;

  print $html->fieldToHtml($head);
  print $html->headToHtmlHead($head);
  print $html->headToHtmlTable($head);
  print $html->textToHtml($text);

DESCRIPTION
The package contains various translators which handle HTML or XHTML without the help of external modules. There are more HTML related modules, which do require extra packages to be installed.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

     -Option     --Defined in            --Default
      fields       Mail::Message::Convert  <see description>
      head_mailto                          true
      produce                              HTML

    fields => $name|$regex|\@names|\@regexes
    head_mailto => BOOLEAN
        Whether to replace e-mail addresses in some header lines with links.

    produce => 'HTML'|'XHTML'
        Produce HTML or XHTML output. The output is slightly different, even html browsers will usually accept the XHTML data.

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->fieldContentsToHtml( $field, [$subject] )
    Format one field from the header to HTML. When the header line usually contains e-mail addresses, the line is scanned and valid addresses are linked with an "mailto:" anchor. The $subject can be specified to be included in that link.

$obj->fieldToHtml( $field, [$subject] )
    Reformat one header line field to HTML. The $field's name is printed in bold, followed by the formatted field content, which is produced by fieldContentsToHtml().

$obj->headToHtmlHead($head, $meta)
    Translate the selected header lines (fields) to an html page header. Each selected field will get its own meta line with the same name as the line. Furthermore, the "Subject" field will become the "title", and "From" is used for the "Author".

    Besides, you can specify your own meta fields, which will overrule header fields. Empty fields will not be included. When a "title" is specified, this will become the html title, otherwise the "Subject" field is taken. In list context, the lines are separately, where in scalar context the whole text is returned as one.

    If you need to add lines to the head (for instance, http-equiv lines), then splice them before the last element in the returned list.

    » example:

      my @head = $html->headToHtmlHead(
            $head,
            description => 'This is a message',
            generator   => 'Mail::Box',
      );
      splice @head, -1, 0, '<meta http-equiv=...>';
      print @head;

$obj->headToHtmlTable( $head, [$table_params] )
    Produce a display of the selectedFields() of the header in a table shape. The optional $table_params are added as parameters to the produced TABLE tag. In list context, the separate lines are returned. In scalar context, everything is returned as one.

    » example:

      print $html->headToHtmlTable($head, 'width="50%"');

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

$obj->textToHtml($lines)
    Translate one or more $lines from text into HTML. Each line is taken one after the other, and only simple things are translated. "textToHtml" is able to convert large plain texts in a descent fashion. In scalar context, the resulting lines are returned as one.

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: produce XHTML or HTML, not $what.
    Cast by new()

SEE ALSO
This module is part of Mail-Message version 4.05, built on April 10, 2026. Website: http://perl.overmeer.net/mailbox/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.